#include <stdio.h>

#include "common.hpp"

void show (char *msg, mpz_t num)
{
  printf ("%s", msg);
  mpz_out_str (stdout, 10, num);
  printf ("\n");
};

void usage ()
{
  fprintf (stderr,
	   "\n"
	   "yyyRSA Version 1.0.2\n"
	   "\n"
	   "yyyRSA --make-keys numbits secretfile publicfile\n"
	   "yyyRSA --encrypt inputfile outputfile publicfile\n"
	   "yyyRSA --decipher inputfile outputfile secretfile\n\n"
	   );
  exit (1);
};
