#include "countbits.hpp"

int countbits (mpz_t x)
{
  mpz_t my;
  mpz_init (my);
  mpz_set (my, x);

  int res = 0;
  while (mpz_cmp_ui(my,0) > 0) {
    res++;
    mpz_tdiv_q_2exp (my, my, 1);
  };

  mpz_clear (my);

  return res;
};
