#include <gmp.h>

#define assert(x) \
{\
  if (!(x)) {\
    fprintf(stderr,"Assertion failed.\n"\
	    "File: %s\n"\
	    "Line: %d\n"\
	    "Assertion: %s\n\n"\
	    ,__FILE__,__LINE__,#x);\
    exit(1);\
  };\
}

#define assert2(x,y) \
{\
  if (!(x)) {\
    fprintf(stderr,"Assertion failed.\n"\
	    "File: %s\n"\
	    "Line: %d\n"\
	    "Assertion: %s\n"\
            "Additional comment: %s\n\n"\
	    ,__FILE__,__LINE__,#x,y);\
    exit(1);\
  };\
}

void show (char *msg, mpz_t num);
void usage ();

// THIS IS ARCHITECTURE SPECIFIC AND MUST BE FIXED!

typedef unsigned short int yyy_uint16;
