#include "common.hpp"
#include "make_keys.hpp"
#include "encrypt.hpp"
#include "decipher.hpp"

int main (int argc, char *argv[])
{
  if (argc<2) usage ();

  if (!strcmp(argv[1],"--make-keys"))
    return make_keys (argc, argv);
  else if (!strcmp(argv[1],"--encrypt"))
    return encrypt (argc, argv);
  else if (!strcmp(argv[1],"--decipher"))
    return decipher (argc, argv);
  else usage ();

  return 0;
};
